﻿using SqlSugar;

namespace EInk.Models
{
    [SugarTable("defect_info")]
    public class DefectModel
    {
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true)]
        public int id { get; set; }

        [SugarColumn(ColumnName = "defect_code", ColumnDataType = StaticConfig.CodeFirst_BigString)]
        public string defect_code { get; set; }

        [SugarColumn(ColumnName = "defect_name", ColumnDataType = StaticConfig.CodeFirst_BigString)]
        public string defect_name { get; set; }

        [SugarColumn(ColumnName = "classification", ColumnDataType = StaticConfig.CodeFirst_BigString)]
        public string classification { get; set; }

    }
}
