﻿using SqlSugar;

namespace EInk.Models
{
    [SugarTable("colourcast_info")]
    public class ColourCastModel
    {
        [SugarColumn(ColumnName = "id", IsPrimaryKey = true, IsIdentity = true)]
        public long id { get; set; }

        [SugarColumn(ColumnName = "slidesNumber", ColumnDataType = StaticConfig.CodeFirst_BigString)]
        public string slidesNumber { get; set; }

        [SugarColumn(ColumnName = "gid", ColumnDataType = StaticConfig.CodeFirst_BigString)]
        public string gid { get; set; }

        [SugarColumn(ColumnName = "is_send")]
        public int is_send { get; set; }

        [SugarColumn(ColumnName = "create_time")]
        public DateTime create_time { get; set; }

        [SugarColumn(ColumnName = "send_time")]
        public DateTime send_time { get; set; }

        [SugarColumn(ColumnName = "content", ColumnDataType = StaticConfig.CodeFirst_BigString)]
        public string content { get; set; }

    }
}
